linux-pam: add optional libselinux and audit dependencies
[buildroot-gz.git] / package / mosquitto / S50mosquitto
blob5241a071d718cd4ea6598377b09993df0c588f4e
1 #!/bin/sh
3 start() {
4 printf "Starting mosquitto: "
5 start-stop-daemon -S -q -m -b -p /var/run/mosquitto.pid \
6 --exec /usr/sbin/mosquitto \
7 -- -c /etc/mosquitto/mosquitto.conf
8 [ $? = 0 ] && echo "OK" || echo "FAIL"
10 stop() {
11 printf "Stopping mosquitto: "
12 start-stop-daemon -K -q -p /var/run/mosquitto.pid
13 [ $? = 0 ] && echo "OK" || echo "FAIL"
15 restart() {
16 stop
17 start
20 case "$1" in
21 start)
22 start
24 stop)
25 stop
27 restart|reload)
28 restart
31 echo "Usage: $0 {start|stop|restart}"
32 exit 1
33 esac
35 exit $?